# Enable player scoreboards
scoreboard players enable @a displayspawn
scoreboard players enable @a displayrot
scoreboard players enable @a displaykill
scoreboard players enable @a displayitem
scoreboard players enable @a displaymove
scoreboard players enable @a displayscale
scoreboard players enable @a displaylock
scoreboard players enable @a displayskylight
scoreboard players enable @a displayblocklight
scoreboard players enable @a displaylight



# Setup triggers
execute at @e[scores={displayspawn=1..}] run function mfunctions:spawndisplay
execute at @e[scores={displayspawn=1..}] run scoreboard players set @p displayspawn 0

execute at @e[scores={displayrot=1..}] run function mfunctions:rotatemessage
execute at @e[scores={displayrot=1..}] run scoreboard players set @p displayrot 0

execute at @e[scores={displaykill=1..}] run function mfunctions:killdisplay
execute at @e[scores={displaykill=1..}] run scoreboard players set @p displaykill 0

execute at @e[scores={displayitem=1..}] run function mfunctions:setitem
execute at @e[scores={displayitem=1..}] run scoreboard players set @p displayitem 0

execute at @e[scores={displaymove=1..}] run function mfunctions:offsetmessage
execute at @e[scores={displaymove=1..}] run scoreboard players set @p displaymove 0

execute at @e[scores={displayscale=1..}] run function mfunctions:scalemessage
execute at @e[scores={displayscale=1..}] run scoreboard players set @p displayscale 0

execute at @e[scores={displaylock=1..}] run function mfunctions:lockmessage
execute at @e[scores={displaylock=1..}] run scoreboard players set @p displaylock 0

execute at @e[scores={displaylight=1..}] run function mfunctions:lightmessage
execute at @e[scores={displaylight=1..}] run scoreboard players set @p displaylight 0

# Only works on one player per tick I guess
execute store result storage light sky int 1 run scoreboard players get @e[scores={displayskylight=0..15},limit=1,sort=nearest] displayskylight
execute at @e[scores={displayskylight=0..15},limit=1,sort=nearest] run function mfunctions:setsky with storage light
scoreboard players set @e[scores={displayskylight=0..},limit=1,sort=nearest] displayskylight -1

execute store result storage light block int 1 run scoreboard players get @e[scores={displayblocklight=0..15},limit=1,sort=nearest] displayblocklight
execute at @e[scores={displayblocklight=0..15},limit=1,sort=nearest] run function mfunctions:setsky with storage light
scoreboard players set @e[scores={displayblocklight=0..},limit=1,sort=nearest] displayblocklight -1